with Ada.Strings.Fixed,
     Ada.Strings.Maps.Constants,
     Http,
     Smtp;
procedure Notify is  -- scan www.somewhere.com, e-mail line with "title"
  Web     : Http.Socket_Type(Max_Line_Length => 500);
  Response: Http.Response_Code_Type;
  Line    : String(1 .. 500);
  Last    : Natural;
  Email   : Smtp.Socket_Type;
begin
  Http.Open(Web, "www.somewhere.com");
  Http.Get(Web, "/", Response, Send_Cookies => False);
  if Response(1) = '2' then  -- forget it on 404s, 301s, etc
    loop
      Http.Get_Line(Web, Line, Last);
      exit when Last = 0;
      if Ada.Strings.Fixed.Index(Line(1 .. Last), "title",
           Mapping=>Ada.Strings.Maps.Constants.Lower_Case_Map) /= 0 then
        Smtp.Open(Email, Host => "mail.myISP.com");
        Smtp.Send_Message_Info(Email, Sender => "me@myISP.com",
          To => "you@yourISP.com", Subject => "Notify");
        Smtp.Put_Content_Line(Email, Line(1 .. Last));
        Smtp.Finish_Message(Email);
        Smtp.Close(Email);
        exit;
      end if;
    end loop;
  end if;
  Http.Close(Web);
end Notify;
