package Sorts is

  -- List Merge sort
  -- Stable; nlogn avg and max times
  -- Requires N+2 extra space
  -- see Knuth Vol 3 Algorithm 5.2.4L for further information
  generic
    type Item is private;
    type List_Type is array(integer range <>) of Item;
    with function "<"(X,Y : Item) return Boolean is <>;
  procedure List_Merge(List : in out List_Type);

  generic
    type Item is private;
    type Index is (<>);
    type List_Type is array(Index range <>) of Item;
    with function "<"(X,Y : Item) return Boolean is <>;
  procedure List_Merge_Any_Index(List : in out List_Type);

end Sorts;
